package com.logntw.eva.orm;

import java.sql.Connection;
import java.sql.SQLException;
import java.sql.Savepoint;

import com.logntw.eva.orm.imp.DBConnectionProviderImp;

public abstract class AbstractManagedDBCProvider implements ManagedDBCProvider, DBConnectionProviderImp
{
	@Override
	public Connection getConnection(Object key)throws SQLException
	{
		return getConnection(key);		
	}
		
	@Override
	public boolean commit(Object key, Connection connection) throws SQLException
	{
		return commit(connection);
	}

	@Override
	public boolean rollback(Object key, Connection connection) throws SQLException
	{
		return rollback(connection);
	}

	@Override
	public boolean rollback(Object key, Connection connection, Savepoint savepoint) throws SQLException
	{
		return rollback(connection, savepoint);
	}

	@Override
	public boolean releaseConnection(Object key, Connection connection) throws SQLException
	{
		return releaseConnection(connection);
	}
}
