package com.logntw.eva.orm.defo.conn;

import java.sql.Connection;
import java.sql.SQLException;
import java.sql.Savepoint;

import com.logntw.eva.orm.DBConnectionProvider;
import com.logntw.eva.sql.dialect.Dialect;

public final class MockConnectionProvider implements DBConnectionProvider
{
	private final static MockConnectionProvider INSTANCE = new MockConnectionProvider();
	public static MockConnectionProvider getInstance()
	{
		return INSTANCE;
	}
	
	@Override
	public Connection getConnection() throws SQLException
	{
		throw new UnsupportedOperationException("[cDtMr1001]");
	}
	
	@Override
	public boolean commit(Connection connection) throws SQLException
	{
		throw new UnsupportedOperationException("[cDtMr1002]");
	}

	@Override
	public boolean rollback(Connection connection) throws SQLException
	{
		throw new UnsupportedOperationException("[cDtMr1003]");
	}

	@Override
	public boolean rollback(Connection connection, Savepoint savepoint) throws SQLException
	{
		throw new UnsupportedOperationException("[cDtMr1004]");
	}
	
	@Override
	public boolean releaseConnection(Connection connection) throws SQLException
	{
		throw new UnsupportedOperationException("[cDtMr1005]");
	}
	
	@Override
	public Connection getConnection(Object key) throws SQLException
	{
		throw new UnsupportedOperationException("[cDtMr1006]");
	}
	
	@Override
	public boolean commit(Object key, Connection connection) throws SQLException
	{
		throw new UnsupportedOperationException("[cDtMr1007]");
	}

	@Override
	public boolean rollback(Object key, Connection connection) throws SQLException
	{
		throw new UnsupportedOperationException("[cDtMr1008]");
	}

	@Override
	public boolean rollback(Object key, Connection connection, Savepoint savepoint) throws SQLException
	{
		throw new UnsupportedOperationException("[cDtMr1009]");
	}
	
	@Override
	public boolean releaseConnection(Object key, Connection connection) throws SQLException
	{
		throw new UnsupportedOperationException("[cDtMr1010]");
	}

	@Override
	public Dialect getDialect()
	{
		throw new UnsupportedOperationException("[cDtMr1011]");
	}

	@Override
	public void dispose()
	{
		// do nothing.
	}
}
