package com.logntw.eva.orm.imp;

import java.sql.Connection;
import java.sql.SQLException;
import java.sql.Savepoint;

public interface DBConnectionProviderImp
{
	Connection getConnection() throws SQLException; // newConnection!
	
	boolean commit(Connection connection) throws SQLException;
	
	boolean rollback(Connection connection) throws SQLException;
	
	boolean rollback(Connection connection, Savepoint savepoint) throws SQLException;
	
	boolean releaseConnection(Connection connection) throws SQLException;
	
	void dispose();
}
