package com.logntw.eva.jdbc;

import java.sql.Types;
import java.util.Arrays;

import junit.framework.Assert;

import org.junit.Test;

import com.logntw.eva.jdbc.JDBCClazz;

public class JDBCTypeTest
{
	@Test
	public void testJDBCType() throws Exception
	{
		JDBCClazz t = JDBCClazz.BINARY;
		Assert.assertEquals(JDBCClazz.forCode(Types.BINARY), t);
		Assert.assertEquals(JDBCClazz.valueOf("BINARY"), t);
		Assert.assertTrue(Arrays.equals(JDBCClazz.forClz(byte[].class), new JDBCClazz[]{JDBCClazz.VARBINARY, JDBCClazz.BINARY, JDBCClazz.LONGVARBINARY }));
	}
}
