package com.logntw.eva.orm;

import java.sql.Connection;
import java.sql.SQLException;
import java.sql.Savepoint;

public interface ManagedDBCProvider
{
	Connection getConnection(Object key) throws SQLException;
	
	boolean commit(Object key, Connection connection) throws SQLException;
	
	boolean rollback(Object key, Connection connection) throws SQLException;
	
	boolean rollback(Object key, Connection connection, Savepoint savepoint) throws SQLException;
	
	boolean releaseConnection(Object key, Connection connection) throws SQLException;
}
