package com.logntw.eva.orm.imp;

import java.sql.SQLException;

import com.logntw.eva.orm.AbstractConnectionProvider;
import com.logntw.eva.orm.DBConnectionProvider;

public interface DBConnectionProviderImpFactory
{
	public DBConnectionProviderImp getInstance(AbstractConnectionProvider provider, String databaseName, String id, String password)throws SQLException;
	
	public DBConnectionProviderImp getInstance(AbstractConnectionProvider provider, String databaseNameOrURI)throws SQLException;
	
	public DBConnectionProviderImp getInstance(DBConnectionProvider provider, String URI, String driverClassName)throws SQLException;
}
