package com.logntw.eva.sql.dialect;



public final class DerbyDialect extends DB2_Dialect
{
	public static final DerbyDialect INSTANCE = new DerbyDialect();
	
	public DerbyDialect()
	{					
		// Derby
		
	}

	@Override
	public String name()
	{		
		return "derby";
	}
	
	@Override
	public String getWriteLockString(int timeout) 
	{
		return " for update with rs";
	}

	@Override
	public String getReadLockString(int timeout) {
		return " for read only with rs";
	}
	
	@Override
	public SubConditionSQL deleteWithSubCondition()
	{
		return SubConditionSQL.IN;
	}
	
	@Override
	public ReturnGeneratedKeys returnGeneratedKeys()
	{
		return ReturnGeneratedKeys.NEVER;
	}
}
