package com.logntw.eva.sql.dialect;

import com.logntw.eva.jdbc.JDBCClazz;

public class SQLServer_2008_Dialect extends SQLServer_2005_Dialect
{	
	public final static SQLServer_2008_Dialect INSTANCE = new SQLServer_2008_Dialect();
	
	public SQLServer_2008_Dialect()
	{			
		indexable( JDBCClazz.DATE, "date", "datetime" );
		indexable( JDBCClazz.TIME, "time", "datetime" );
		indexable( JDBCClazz.TIMESTAMP, "datetime", "datetime2" );		
	}

	@Override
	public String name()
	{		
		return "sqlserver2008";
	}
}
